import { Observable } from './Observable';
import { CoreOperators } from './CoreOperators';
import { Scheduler as IScheduler } from './Scheduler';
export interface KitchenSinkOperators<T> extends CoreOperators<T> {
    isEmpty?: () => Observable<boolean>;
    elementAt?: (index: number, defaultValue?: any) => Observable<T>;
    distinctUntilKeyChanged?: (key: string, compare?: (x: any, y: any) => boolean, thisArg?: any) => Observable<T>;
    find?: (predicate: (value: T, index: number, source: Observable<T>) => boolean, thisArg?: any) => Observable<T>;
    findIndex?: (predicate: (value: T, index: number, source: Observable<T>) => boolean, thisArg?: any) => Observable<number>;
    max?: <T, R>(comparer?: (x: R, y: T) => R) => Observable<R>;
    min?: <T, R>(comparer?: (x: R, y: T) => R) => Observable<R>;
    timeInterval?: <T>(scheduler?: IScheduler) => Observable<T>;
    mergeScan?: <T, R>(project: (acc: R, x: T) => Observable<R>, seed: R) => Observable<R>;
    switchFirst?: () => Observable<T>;
    switchMapFirst?: <R>(project: ((x: T, ix: number) => Observable<any>), projectResult?: (x: T, y: any, ix: number, iy: number) => R) => Observable<R>;
}
import { Subject } from './Subject';
import { Subscription } from './Subscription';
import { Subscriber } from './Subscriber';
import { ReplaySubject } from './subjects/ReplaySubject';
import { BehaviorSubject } from './subjects/BehaviorSubject';
import { ConnectableObservable } from './observable/ConnectableObservable';
import { Notification } from './Notification';
import { EmptyError } from './util/EmptyError';
import { ArgumentOutOfRangeError } from './util/ArgumentOutOfRangeError';
import { NextTickScheduler } from './schedulers/NextTickScheduler';
import { ImmediateScheduler } from './schedulers/ImmediateScheduler';
import { TimeInterval } from './operators/extended/timeInterval';
import { TestScheduler } from './testing/TestScheduler';
import { VirtualTimeScheduler } from './schedulers/VirtualTimeScheduler';
declare var Scheduler: {
    nextTick: NextTickScheduler;
    immediate: ImmediateScheduler;
};
export { Subject, Scheduler, Observable, Subscriber, Subscription, ReplaySubject, BehaviorSubject, ConnectableObservable, Notification, EmptyError, ArgumentOutOfRangeError, TestScheduler, VirtualTimeScheduler, TimeInterval };
