import { Observable } from '../Observable';
import { ConnectableObservable } from '../observable/ConnectableObservable';
export function multicast(subjectOrSubjectFactory) {
    let subjectFactory;
    if (typeof subjectOrSubjectFactory === 'function') {
        subjectFactory = subjectOrSubjectFactory;
    }
    else {
        subjectFactory = function subjectFactory() {
            return subjectOrSubjectFactory;
        };
    }
    return new ConnectableObservable(this, subjectFactory);
}
Observable.prototype.multicast = multicast;
//# sourceMappingURL=multicast.js.map